Bug 180297 - Problems copying to NFSv4 share.
Problems copying to NFSv4 share.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Tomáš Bžatek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-06 18:22 EST by P Rauser
Modified: 2015-03-03 17:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:20:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description P Rauser 2006-02-06 18:22:00 EST
Description of problem:

1)  Dragging and dropping a file from a local drive (e.g. the Desktop) to an
NFSv4 share results in a "Copying files" dialog box that does not close (ever)
or show the progress of the file transfer.  The file copies successfully.

2)  If, however, a user attempts to drag and drop multiple files, only the first
file transfers successfully.  The remainer of the files do not copy, and the
"Copying files" dialog box hangs as described above.

Version-Release number of selected component (if applicable):

All recent versions of nautilus exhibit this problem, including the current FC
Devel version 2.13.90-1.

How reproducible:

See above.

Steps to Reproduce:
1.  Mount NFSv4 share via fstab or autofs.
2.  Attempt to drag a file (or multiple files) from a nautilus window showing
the contents of a local folder to a nautilus window showing a remote NFSv4 share.
3.  Observe persistent "Copying files" window containing progress indicator that
does not indicate any progress, even though the single file (or first file of
several, see above) copies successfully.  I have not been able to get the dialog
boxes to close without logging out the user.
  
Actual results:

See above.

Expected results:

a)  All file(s) copy.
b)  The progress indicator in the "Copying files" dialog indicates the progress
of the copy operation.
c)  The dialog automatically closes at the end of the copy operation.

Additional info:

N.B. that copying between two windows that _both_ reflect folders on the NFSv4
share does not produce this problem
Comment 1 P Rauser 2006-02-23 06:34:54 EST
Retested.  Problem reproduced/continues in Fedora devel 2.3.91-1.
Comment 2 Zachary Napora 2008-04-20 16:00:35 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Bug Zapper 2008-05-13 22:05:16 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-06-09 18:06:29 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 13:20:58 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.